#!/bin/bash

. ../lib.sh

repo=`mktemp -d`
output=`mktemp`

prepare_input input $repo/input
echo 1 > $repo/cookie

git init $repo
git -C $repo config user.email "clime@redhat.com"
git -C $repo config user.name "clime"
git -C $repo add -A
git -C $repo commit -m 'commit 1'

touch output && cp output $output

function custom_test {
    declare out= "$@"
    local source_name1=foo.tar.gz
    local source_name2=bar.tar.gz
    local dir_name1=foo
    local dir_name2=bar

    run "tar -C $out -xf $out/$source_name1 || die"
    run "diff $out/$dir_name1/cookie $repo/cookie || die"

    run "tar -C $out -xf $out/$source_name2 || die"
    run "diff $out/$dir_name2/cookie $repo/cookie || die"
}

generic_test opts='' path=$repo input=$repo/input expected_output=$output expected_log=log custom_test=custom_test copy_only=$1

rm -rf $repo
rm $output
